Choosing simplified chinese in isolinux menu causes corrupted characters and untranslated installer

Bug #882308 reported by Mario Limonciello on 2011-10-26
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OEM Priority Project
High
Unassigned
Oneiric
High
Unassigned
casper (Ubuntu)
High
Colin Watson
Oneiric
High
Colin Watson

Bug Description

When booting an oneiric ISO, if you interrupt the initial isolinux/syslinux menu, you can select a language. Selecting simplified chinese adds locale=zh_CN to the kernel command line of the boot option you select.

Selecting the second option (install ubuntu) gives the appearance that the installer has preselected simplified chinese for the language. If you don't make any changes on the language screen, later on in the installer you will find several areas that are not showing translations.

Additionally (and arguably worse), the resultant install has parts of the OS that don't render properly such as the date and time indicator. Corrupted text is displayed instead.

Observing /etc/default/locale from an install like this, you'll see that LANG is filled out with zh_CN rather than zh_CN.UTF-8.

$ cat /etc/default/locale
LANG="zh_CN"
LANGUAGE="zh_CN:"
LC_MESSAGES="zh_CN.UTF-8"
LC_CTYPE="zh_CN.UTF-8"
LC_COLLATE="zh_CN.UTF-8"

If you perform an install without making any selections in that isolinux/syslinux menu, but instead choose simplified chinese in the first language screen, /etc/default/locale will look like this:

$ cat /etc/default/locale
LANG="zh_CN.UTF-8"
LANGUAGE="zh_CN:zh"
LC_MESSAGES="zh_CN.UTF-8"
LC_CTYPE="zh_CN.UTF-8"
LC_COLLATE="zh_CN.UTF-8"

The logs attached to this bug are from a system that was installed with the simplified chinese selected in the isolinux/syslinux menu.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: ubiquity (not installed)
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
Uname: Linux 3.0.0-12-generic x86_64
ApportVersion: 1.23-0ubuntu3
Architecture: amd64
Date: Thu Oct 27 10:18:56 2011
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
SourcePackage: ubiquity
UpgradeStatus: No upgrade log present (probably fresh install)

Mario Limonciello (superm1) wrote :
Mario Limonciello (superm1) wrote :

Screenshot of the corrupted datetime indicator when the install was done with simplified chinese selected from the isolinux menu

Mario Limonciello (superm1) wrote :

Screenshot of the installer showing that parts of it are not translating to simplified chinese when selecting simplified chinese from isolinux/syslinux menu.

description: updated
Changed in oem-priority:
importance: Undecided → High
Colin Watson (cjwatson) wrote :

This is a casper bug, and is specific to Portuguese and Chinese where we pass locale= rather than debian-installer/language= due to needing the location part of the locale. casper needs to resolve the value to a complete locale rather than trusting that it's already complete.

I think I know roughly how to fix this; I'll attack it over the next couple of days.

affects: ubiquity (Ubuntu) → casper (Ubuntu)
Changed in casper (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
importance: Undecided → High
status: New → Triaged
Colin Watson (cjwatson) wrote :

I'm testing the attached fix now, but it's looking good so far. If you're in a hurry, feel free to grab it directly.

Changed in casper (Ubuntu Oneiric):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Colin Watson (cjwatson)
Changed in casper (Ubuntu):
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package casper - 1.289

---------------
casper (1.289) precise; urgency=low

  * Canonicalise debian-installer/locale= / locale= into a UTF-8 locale when
    processing preseeding, in line with how we set up the locale in the live
    environment (LP: #882308).
 -- Colin Watson <email address hidden> Tue, 08 Nov 2011 15:34:57 +0000

Changed in casper (Ubuntu):
status: In Progress → Fix Released
Colin Watson (cjwatson) on 2011-11-08
Changed in casper (Ubuntu Oneiric):
status: Triaged → In Progress

Hello Mario, or anyone else affected,

Accepted casper into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in casper (Ubuntu Oneiric):
status: In Progress → Fix Committed
tags: added: verification-needed
Kent Baxley (kentb) wrote :

The proposed updates to casper resolve our earlier problems with Simplified Chinese at instal / reinstall time.

Thanks!

Colin Watson (cjwatson) on 2011-11-10
tags: added: verification-done
removed: verification-needed
Steve Magoun (smagoun) on 2011-11-21
Changed in oem-priority:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package casper - 1.287.1

---------------
casper (1.287.1) oneiric-proposed; urgency=low

  * Ignore lines in md5sum.txt that aren't md5sum output (LP: #873401).
  * Canonicalise debian-installer/locale= / locale= into a UTF-8 locale when
    processing preseeding, in line with how we set up the locale in the live
    environment (LP: #882308).
 -- Colin Watson <email address hidden> Tue, 08 Nov 2011 15:48:36 +0000

Changed in casper (Ubuntu Oneiric):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers